Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class ReportSchedulerSoapBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          com.jaspersoft.jasperserver.ws.scheduling.ReportSchedulerSoapBindingStub

All Implemented Interfaces:
  ReportScheduler, java.rmi.Remote, javax.xml.rpc.Stub

    public class ReportSchedulerSoapBindingStub

extends org.apache.axis.client.Stub
implements ReportScheduler

ReportSchedulerSoapBindingStub.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

Field Summary

Fields inherited from class org.apache.axis.client.Stub
`_call, cachedEndpoint, cachedPassword, cachedPortName, cachedProperties, cachedTimeout, cachedUsername, maintainSession, maintainSessionSet, service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`ReportSchedulerSoapBindingStub()`
`ReportSchedulerSoapBindingStub(javax.xml.rpc.Service service)`
`ReportSchedulerSoapBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`protected org.apache.axis.client.Call` | `createCall()`
`void` | `deleteJob(long id)`
`void` | `deleteJobs(long[] ids)`
`JobSummary[]` | `getAllJobs()`
`Job` | `getJob(long id)`
`JobSummary[]` | `getReportJobs(java.lang.String reportURI)`
`Job` | `scheduleJob(Job job)`
`Job` | `updateJob(Job job)`

Methods inherited from class org.apache.axis.client.Stub
`_createCall, _getCall, _getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, firstCall, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getResponseHeaders, getTimeout, getUsername, removeProperty, setAttachments, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setRequestHeaders, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSchedulerSoapBindingStub

    public ReportSchedulerSoapBindingStub()
                                   throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### ReportSchedulerSoapBindingStub

    public ReportSchedulerSoapBindingStub(java.net.URL endpointURL,
                                          javax.xml.rpc.Service service)
                                   throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### ReportSchedulerSoapBindingStub

    public ReportSchedulerSoapBindingStub(javax.xml.rpc.Service service)
                                   throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### createCall

    protected org.apache.axis.client.Call createCall()
                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### deleteJob

    public void deleteJob(long id)
                   throws java.rmi.RemoteException

  Specified by:
    `deleteJob` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

### deleteJobs

    public void deleteJobs(long[] ids)
                    throws java.rmi.RemoteException

  Specified by:
    `deleteJobs` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

### getJob

    public Job getJob(long id)
               throws java.rmi.RemoteException

  Specified by:
    `getJob` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

### scheduleJob

    public Job scheduleJob(Job job)
                    throws java.rmi.RemoteException

  Specified by:
    `scheduleJob` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

### updateJob

    public Job updateJob(Job job)
                  throws java.rmi.RemoteException

  Specified by:
    `updateJob` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

### getAllJobs

    public JobSummary[] getAllJobs()
                            throws java.rmi.RemoteException

  Specified by:
    `getAllJobs` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

### getReportJobs

    public JobSummary[] getReportJobs(java.lang.String reportURI)
                               throws java.rmi.RemoteException

  Specified by:
    `getReportJobs` in interface `ReportScheduler`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.